<back to all web services

GetABTestsStatuses

The following routes are available for this service:
GET/RestApi/ab-testing/tests/statuses
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.ABTesting.Services.Dto.Request
Imports Telerik.Sitefinity.ABTesting.Model

Namespace Global

    Namespace Telerik.Sitefinity.ABTesting.Model

        Public Enum ABTestStatus
            NotStarted
            Scheduled
            Active
            Stopped
            Ended
        End Enum
    End Namespace

    Namespace Telerik.Sitefinity.ABTesting.Services.Dto.Request

        Public Partial Class GetABTestsStatuses
            Implements IABTestsFilter
            Public Overridable Property SearchText As String Implements IABTestsFilter.SearchText
            Public Overridable Property Status As ABTestStatus? Implements IABTestsFilter.Status
            Public Overridable Property MyTests As Boolean Implements IABTestsFilter.MyTests
        End Class
    End Namespace
End Namespace

VB.NET GetABTestsStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/ab-testing/tests/statuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

[{}]